SignSecureSignSecure Docs
Form fields

Get Filled Values

Get all filled form field values for an envelope.

GET
/envelopes/{envelopeId}/fields/values

Get all filled form field values for an envelope.

Authorization

bearerAuth
AuthorizationBearer <token>

API key as Bearer token. Format: signsecure_xxxxxxxx...

In: header

Path Parameters

envelopeId*string

The envelope ID

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.signsecure.com/api/v1/envelopes/string/fields/values"
{
  "items": [
    {
      "id": "string",
      "fieldId": "string",
      "recipientId": "string",
      "value": null,
      "filledAt": "2019-08-24T14:15:22Z"
    }
  ],
  "total": 0
}
{
  "code": "UNAUTHORIZED",
  "message": "Invalid or missing API key",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "FORBIDDEN",
  "message": "API key is disabled",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}

{
  "code": "NOT_FOUND",
  "message": "Envelope not found",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "An internal error occurred",
  "requestId": "req_abc123",
  "timestamp": "2026-03-11T10:30:00.000Z"
}